DO $$
BEGIN
	CREATE TABLE AGRUPAMENTO_PARADA (
    AGRUPAMENTOPARADA_ID  NUMBER(7) NOT NULL,
    DESCAGRUPAMENTOPARADA VARCHAR2(180) NOT NULL, 
	CVEAGRUPAMENTOPARADA VARCHAR2(30) NOT NULL, 
	USUARIO_ID NUMBER(7,0), 
	FECMODIF DATE, 
	ACTIVO NUMBER(1),       
    PRIMARY KEY (AGRUPAMENTOPARADA_ID), 
    FOREIGN KEY (USUARIO_ID) REFERENCES USUARIO      
	);	
	
    CREATE SEQUENCE AGRUPAMENTOPARADA_SEQ INCREMENT BY 1 START WITH 1 NOCACHE ORDER NOCYCLE;
    EXCEPTION 
    WHEN duplicate_table THEN NULL;
    WHEN duplicate_object THEN NULL;  
  	WHEN unique_violation THEN NULL;
END
$$;

DO $$
BEGIN
  ALTER TABLE PARADA ADD AGRUPAMENTOPARADA_ID NUMBER(7,0);
  EXCEPTION WHEN duplicate_column THEN NULL;
END
$$;

DO $$
BEGIN
  ALTER TABLE PARADA ADD CONSTRAINT FK_PARADA_AGRUPAMENTOPARADA FOREIGN KEY (AGRUPAMENTOPARADA_ID) REFERENCES AGRUPAMENTO_PARADA (AGRUPAMENTOPARADA_ID);
  
  EXCEPTION WHEN duplicate_object THEN NULL;
END
$$;



DO $$
BEGIN
  insert into funcion_sistema (funcionsistema_id,sistema_id,nombfuncion,descruta,activo,fecmodif,usuario_id) 
  values (nextval('funcion_sistema_seq'),1,'ADM > ESQUEMA OPERACIONAL > AGRUPAR LOCALIDADES> CADASTRA OS AGRUPAMENTOS DE PARADAS','COM.RJCONSULTORES.ADMINISTRACION.GUI.ESQUEMAOPERACIONAL.MENU.AGRUPARPARADAS',1,now(),1); 
  EXCEPTION WHEN unique_violation THEN NULL;
END
$$;
